/**
 * ActRelationshipPertains.java
 *
 * File generated from the medication::ActRelationshipPertains uml Enumeration
 * Generated by IHE - europe, gazelle team
 */
package net.ihe.gazelle.medication;

import javax.xml.bind.annotation.XmlEnum;
import javax.xml.bind.annotation.XmlEnumValue;
import javax.xml.bind.annotation.XmlRootElement;
import javax.xml.bind.annotation.XmlType;
/**
 * Description of the enumeration ActRelationshipPertains.
 *
 * 
 */

@XmlType(name = "ActRelationshipPertains")
@XmlEnum
@XmlRootElement(name = "ActRelationshipPertains")
public enum ActRelationshipPertains {
	@XmlEnumValue("PERT")
	PERT("PERT"),
	@XmlEnumValue("AUTH")
	AUTH("AUTH"),
	@XmlEnumValue("CAUS")
	CAUS("CAUS"),
	@XmlEnumValue("COVBY")
	COVBY("COVBY"),
	@XmlEnumValue("DRIV")
	DRIV("DRIV"),
	@XmlEnumValue("EXPL")
	EXPL("EXPL"),
	@XmlEnumValue("ITEMSLOC")
	ITEMSLOC("ITEMSLOC"),
	@XmlEnumValue("LIMIT")
	LIMIT("LIMIT"),
	@XmlEnumValue("MFST")
	MFST("MFST"),
	@XmlEnumValue("NAME")
	NAME("NAME"),
	@XmlEnumValue("PREV")
	PREV("PREV"),
	@XmlEnumValue("REFR")
	REFR("REFR"),
	@XmlEnumValue("REFV")
	REFV("REFV"),
	@XmlEnumValue("SUBJ")
	SUBJ("SUBJ"),
	@XmlEnumValue("SUMM")
	SUMM("SUMM"),
	@XmlEnumValue("CHRG")
	CHRG("CHRG"),
	@XmlEnumValue("COST")
	COST("COST"),
	@XmlEnumValue("CREDIT")
	CREDIT("CREDIT"),
	@XmlEnumValue("DEBIT")
	DEBIT("DEBIT"),
	@XmlEnumValue("SAS")
	SAS("SAS"),
	@XmlEnumValue("SPRT")
	SPRT("SPRT"),
	@XmlEnumValue("SPRTBND")
	SPRTBND("SPRTBND");
	
	private final String value;

    ActRelationshipPertains(String v) {
        value = v;
    }
    
     public String value() {
        return value;
    }

    public static ActRelationshipPertains fromValue(String v) {
        for (ActRelationshipPertains c: ActRelationshipPertains.values()) {
            if (c.value.equals(v)) {
                return c;
            }
        }
        throw new IllegalArgumentException(v);
    }
	
}